use mini_admin_bot::check_permissions;
use mockall::{automock, mock, predicate::*};

#[test]
fn test_permissions() {
    let mut mock = check_permissions::MockGroupPermissions::new();
    mock.expect_compare()
        .with("user_id")
        .times(1)
        .returning(true);
    assert_eq!(true, mock.compare("user_id"));
}
